---
sidebar_position: 2
description: Unpublish folder and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Unpublish folder
 Cancels the public access mode for the directory



`Function CancelFolderPublication(Val Token, Val FolderID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | FolderID | --folder | String | &#x2714; | ID of the public catalog (shared folder ID) |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Dropbox



```bsl title="1C:Enterprise/OneScript code example"
    Token  = "sl.u. ...";
    Folder = "13369804259";

    Result = OPI_Dropbox.CancelFolderPublication(Token, Folder);

    CurrentStatus = "in_progress";
    JobID         = Result["async_job_id"];

    While CurrentStatus = "in_progress" Do
        Result          = OPI_Dropbox.GetAsynchronousChangeStatus(Token, JobID);
        CurrentStatus   = Result[".tag"];
        OPI_Tools.Pause(3);
    EndDo;
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox CancelFolderPublication \
             --token "***" \
             --folder "13365035571"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox CancelFolderPublication ^
             --token "***" ^
             --folder "13365035571"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 ".tag": "async_job_id",
 "async_job_id": "dbjid:AABxTVvB07t1hzZpsvM2B0MaYJz_ACUrq6a_OsJmcW43jJ2AVfZVPmwyXXd7yfFm37y3Ej7H29Bd7EMntKEfWTIA"
}
```
